Page MenuHomePhabricator

Low contrast and small text for notification badges in monobook
Closed, ResolvedPublic

Description

The figures are so tiny they're unreadable, and the contrast (black on colour) is poor too - I can only just make out that there's a character there, which I'm ''guessing'' is a figure. When we first got the icons, the contrast was good, as it used white figures on a dark-coloured background, and the figures were large compared to the links at either side - I think they were boldfaced too. I could fix this by working out the CSS rules ([//meta.wikimedia.org/w/index.php?title=User:Redrose64/global.css&action=history&offset=20160804223000&limit=5 yet again]) that would make it readable for me, but I shouldn't need to. This is an accessibility issue.

Reported at https://en.wikipedia.org/wiki/Wikipedia:Village_pump_(technical)#Notification_icons

Event Timeline

Quiddity created this task.Aug 4 2016, 10:48 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 4 2016, 10:48 PM

We made the font size of these numbers 8px in Monobook when we scaled down the Vector one, but we could just use the same font size that Vector uses despite the fact that everything else is smaller in Monobook.

Change 303096 had a related patch set uploaded (by Catrope):
Don't use a smaller font size for the badge numbers in Monobook

https://gerrit.wikimedia.org/r/303096

Change 303099 had a related patch set uploaded (by Catrope):
Don't use a smaller font size for the badge numbers in Monobook

https://gerrit.wikimedia.org/r/303099

Change 303096 merged by jenkins-bot:
Don't use a smaller font size for the badge numbers in Monobook

https://gerrit.wikimedia.org/r/303096

Change 303099 merged by jenkins-bot:
Don't use a smaller font size for the badge numbers in Monobook

https://gerrit.wikimedia.org/r/303099

Danny_B moved this task from Unsorted to Colors on the Accessibility board.Aug 5 2016, 12:37 AM
SBisson assigned this task to Catrope.Aug 5 2016, 11:05 AM
SBisson moved this task from Untriaged to QA Review on the Collab-Team-Q1-July-Sep-2016 board.
Etonkovidova added a subscriber: Etonkovidova.EditedAug 5 2016, 8:23 PM

Monobook with the fix for the font size.


The screenshots for the same user with Vector skin.

Change 303326 had a related patch set uploaded (by Catrope):
Make the badge numbers less small

https://gerrit.wikimedia.org/r/303326

Change 303326 abandoned by Catrope:
Make the badge numbers less small

https://gerrit.wikimedia.org/r/303326

jmatazzoni closed this task as Resolved.Aug 8 2016, 7:37 PM